Update Channel

📘

Remove webhook

Set webhook attribute to null if you'd like to remove channel webhook.

Response Body Params

ParameterTypeDescription
idstringId of the channel.
typestringChannel type specifying the underlying platform: amio_chat.
namestringName of the channel.
modestringMode of the channel.
webhookobjectWebhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details.
webhook.idstringId of the webhook.
webhook.urlstringWebhook url.
webhook.secretstringSecret token for securing received webhook calls, see Webhook Security for more details.
webhook.ssl_verificationstringSpecifies whether to verify SSL certificates or not. Setting this option to false is not recommended.
Path Params
string
required

Id of the channel.

Body Params
string

Name of the channel. Can be an arbitrary name.

string

Mode of the channel. Only production mode is allowed.

webhook
object
Response

Language
Credentials
Response
Choose an example:
application/json